From: Don Zickus on gitlab.com Merge Request: https://gitlab.com/cki-project/kernel-ark/-/merge_requests/2517
A collection of simple ci scripts cleanups in preparation for future automation and easy maintenance.
Signed-off-by: Don Zickus dzickus@redhat.com
--- redhat/Makefile | 12 ++---------- .gitlab-ci.yml | 5 ++--- 2 files changed, 4 insertions(+), 13 deletions(-)
From: Don Zickus dzickus@redhat.com
CI: Move os-build tracking to common area
Future changes will use also use os-build, move the tracking to a common area to reduce code duplication.
Signed-off-by: Don Zickus dzickus@redhat.com
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml index blahblah..blahblah 100644 --- a/.gitlab-ci.yml +++ b/.gitlab-ci.yml @@ -151,12 +151,12 @@ eln_64k_debug_merge_request: - git remote add gitlab git@gitlab.com:cki-project/kernel-ark.git - gpg2 --import "$TORVALDS_GPG_KEY" - git checkout --track origin/master && git describe + - git checkout --track origin/os-build && git describe - export PROJECT_ID="$CI_PROJECT_ID"
merge_upstream: extends: .scheduled_setup script: - - git checkout --track origin/os-build && git describe - make dist-merge-upstream-push || exit 1 retry: 2 rules: @@ -168,7 +168,6 @@ rawhide_release: script: - git checkout --track origin/ark-latest && git describe - git checkout --track origin/ark-infra && git describe - - git checkout --track origin/os-build && git describe - redhat/scripts/ci/ark-create-release.sh "master" "$CI_PROJECT_ID" || exit_code=$? - if [ $exit_code -eq 3 ]; then echo "Tag exists, halting" && exit 0; fi; - if [ $exit_code -ne 0 ]; then echo "Unable to create release tag" && exit 1; fi;
-- https://gitlab.com/cki-project/kernel-ark/-/merge_requests/2517
From: Don Zickus dzickus@redhat.com
CI: Remove stale TAG and Makefile cruft
The TAG variable turned into _TAG but the ci scripts were never updated to reflect that. No one noticed for over a year, therefore it must not be important.
Also dist-merge-upstream had a branch check as a safety valve to prevent accidentally losing changes to testing by switching branches. Later a 'git-tree-check' was added to prevent the script from running on a dirty tree. The latter is more useful than the former. Remove the former.
Signed-off-by: Don Zickus dzickus@redhat.com
diff --git a/redhat/Makefile b/redhat/Makefile index blahblah..blahblah 100644 --- a/redhat/Makefile +++ b/redhat/Makefile @@ -797,22 +797,14 @@ git-tree-check: { echo -e "Dirty tree, please clean before merging.\n"; exit 1; }
dist-merge-upstream: git-tree-check - @if test "$(shell $(GIT) branch --show-current)" != "$(DIST_BRANCH)"; then \ - echo -e "Please checkout $(DIST_BRANCH) branch before merging.\n"; \ - exit 1; \ - fi; - - @# If TAG is empty, script defaults to master:HEAD - @$(GIT) checkout $(DIST_BRANCH) - @cd ..; $(REDHAT)/scripts/ci/ark-update-configs.sh $(TAG) + @cd ..; $(REDHAT)/scripts/ci/ark-update-configs.sh
dist-merge-upstream-push: export DIST_PUSH="1" dist-merge-upstream-push: dist-merge-upstream
dist-fedora-release: git-tree-check
- @# If TAG is empty, script defaults to master:HEAD - @cd ..; $(REDHAT)/scripts/ci/ark-create-release.sh $(TAG) || \ + @cd ..; $(REDHAT)/scripts/ci/ark-create-release.sh || \ (echo "Unable to create release tag"; exit 1)
dist-fedora-release-push: export DIST_PUSH="1"
-- https://gitlab.com/cki-project/kernel-ark/-/merge_requests/2517
From: Don Zickus dzickus@redhat.com
CI: Call script directly
Originally I thought it would be safer to use a Makefile to control the variables to the ci scripts. Now I realize I lose the ability to pass arguments unless I use environment variables.
Let's call the script directly in preparation for use arguments when expanding to other use cases.
No behaviour changes expected.
Signed-off-by: Don Zickus dzickus@redhat.com
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml index blahblah..blahblah 100644 --- a/.gitlab-ci.yml +++ b/.gitlab-ci.yml @@ -157,7 +157,7 @@ eln_64k_debug_merge_request: merge_upstream: extends: .scheduled_setup script: - - make dist-merge-upstream-push || exit 1 + - DIST_PUSH=1 redhat/scripts/ci/ark-update-configs.sh || exit 1 retry: 2 rules: - if: '$CI_PIPELINE_SOURCE == "schedule" && $RAWHIDE_RELEASE == "false"'
-- https://gitlab.com/cki-project/kernel-ark/-/merge_requests/2517
From: Don Zickus on gitlab.com https://gitlab.com/cki-project/kernel-ark/-/merge_requests/2517#note_1455506...
probably not. just legacy cruft. will remove it.
kernel@lists.fedoraproject.org